| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | List of all members
NTuple::Range< bool > Class Template Reference

`#include <GaudiKernel/NTuple.h>`

## Public Member Functions
| Range (const bool, const bool)
| Standard constructor. More...
| Range (const Range< bool > &)
| Copy constructor. More...
virtual | ~Range ()=default
| Destructor. More...
bool | lower () const
| Lower boundary of range. More...
bool | upper () const
| Upper boundary of range. More...
bool | distance () const
| Distance between lower and upper range. More...

## Static Public Member Functions
static bool | min ()
| Minimal number of data. More...
static bool | max ()
| Maximal number of data. More...

## Detailed Description

### template<>
class NTuple::Range< bool >

Definition at line 88 of file NTuple.h.

## Constructor & Destructor Documentation

## ◆ Range() [1/2]

NTuple::Range< bool >::Range | ( | const bool | ,
|  | const bool |
| ) |  |
| inline

Standard constructor.

Definition at line 91 of file NTuple.h.

91 {}

## ◆ Range() [2/2]

NTuple::Range< bool >::Range | ( | const Range< bool > & |  | ) |
| inline

Copy constructor.

Definition at line 93 of file NTuple.h.

93 {}

## ◆ ~Range()

virtual NTuple::Range< bool >::~Range | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ distance()

bool NTuple::Range< bool >::distance | ( |  | ) | const
| inline

Distance between lower and upper range.

Definition at line 101 of file NTuple.h.

101 { return true; }

## ◆ lower()

bool NTuple::Range< bool >::lower | ( |  | ) | const
| inline

Lower boundary of range.

Definition at line 97 of file NTuple.h.

97 { return false; }

## ◆ max()

static bool NTuple::Range< bool >::max | ( |  | ) |
| inline static

Maximal number of data.

Definition at line 105 of file NTuple.h.

105 { return true; }

## ◆ min()

static bool NTuple::Range< bool >::min | ( |  | ) |
| inline static

Minimal number of data.

Definition at line 103 of file NTuple.h.

103 { return false; }

## ◆ upper()

bool NTuple::Range< bool >::upper | ( |  | ) | const
| inline

Upper boundary of range.

Definition at line 99 of file NTuple.h.

99 { return true; }

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h